# Details

Date : 2022-09-15 03:09:03

Directory c:\\Users\\cisse\\OneDrive\\Bureau\\Projet 4\\front\\mood

Total : 134 files,  43950 codes, 280 comments, 1624 blanks, all 45854 lines

[Summary](results.md) / Details / [Diff Summary](diff.md) / [Diff Details](diff-details.md)

## Files
| filename | language | code | comment | blank | total |
| :--- | :--- | ---: | ---: | ---: | ---: |
| [README.md](/README.md) | Markdown | 14 | 0 | 14 | 28 |
| [angular.json](/angular.json) | JSON | 120 | 0 | 3 | 123 |
| [karma.conf.js](/karma.conf.js) | JavaScript | 37 | 6 | 2 | 45 |
| [package-lock.json](/package-lock.json) | JSON | 33,121 | 0 | 1 | 33,122 |
| [package.json](/package.json) | JSON | 77 | 0 | 1 | 78 |
| [src/app/app-routing.module.ts](/src/app/app-routing.module.ts) | TypeScript | 44 | 0 | 7 | 51 |
| [src/app/app.component.html](/src/app/app.component.html) | HTML | 6 | 0 | 5 | 11 |
| [src/app/app.component.scss](/src/app/app.component.scss) | SCSS | 31 | 17 | 7 | 55 |
| [src/app/app.component.spec.ts](/src/app/app.component.spec.ts) | TypeScript | 31 | 0 | 5 | 36 |
| [src/app/app.component.ts](/src/app/app.component.ts) | TypeScript | 39 | 0 | 16 | 55 |
| [src/app/app.module.ts](/src/app/app.module.ts) | TypeScript | 106 | 0 | 7 | 113 |
| [src/app/components/about-mood/about-mood.component.html](/src/app/components/about-mood/about-mood.component.html) | HTML | 11 | 0 | 5 | 16 |
| [src/app/components/about-mood/about-mood.component.scss](/src/app/components/about-mood/about-mood.component.scss) | SCSS | 14 | 0 | 1 | 15 |
| [src/app/components/about-mood/about-mood.component.spec.ts](/src/app/components/about-mood/about-mood.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/about-mood/about-mood.component.ts](/src/app/components/about-mood/about-mood.component.ts) | TypeScript | 11 | 0 | 5 | 16 |
| [src/app/components/activity/activity.component.html](/src/app/components/activity/activity.component.html) | HTML | 110 | 0 | 3 | 113 |
| [src/app/components/activity/activity.component.scss](/src/app/components/activity/activity.component.scss) | SCSS | 462 | 6 | 28 | 496 |
| [src/app/components/activity/activity.component.spec.ts](/src/app/components/activity/activity.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/activity/activity.component.ts](/src/app/components/activity/activity.component.ts) | TypeScript | 33 | 0 | 8 | 41 |
| [src/app/components/auth/auth-interceptor.ts](/src/app/components/auth/auth-interceptor.ts) | TypeScript | 26 | 0 | 6 | 32 |
| [src/app/components/auth/auth.service.spec.ts](/src/app/components/auth/auth.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/components/auth/auth.service.ts](/src/app/components/auth/auth.service.ts) | TypeScript | 23 | 0 | 12 | 35 |
| [src/app/components/auth/jwt-response.ts](/src/app/components/auth/jwt-response.ts) | TypeScript | 7 | 0 | 1 | 8 |
| [src/app/components/auth/login-info.ts](/src/app/components/auth/login-info.ts) | TypeScript | 8 | 0 | 4 | 12 |
| [src/app/components/auth/mood-info.ts](/src/app/components/auth/mood-info.ts) | TypeScript | 14 | 0 | 5 | 19 |
| [src/app/components/auth/mood-storage.service.spec.ts](/src/app/components/auth/mood-storage.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/components/auth/mood-storage.service.ts](/src/app/components/auth/mood-storage.service.ts) | TypeScript | 16 | 0 | 11 | 27 |
| [src/app/components/auth/signup-info.ts](/src/app/components/auth/signup-info.ts) | TypeScript | 22 | 0 | 2 | 24 |
| [src/app/components/auth/token-storage.service.spec.ts](/src/app/components/auth/token-storage.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/components/auth/token-storage.service.ts](/src/app/components/auth/token-storage.service.ts) | TypeScript | 64 | 0 | 17 | 81 |
| [src/app/components/calendar/calendar.component.html](/src/app/components/calendar/calendar.component.html) | HTML | 182 | 1 | 9 | 192 |
| [src/app/components/calendar/calendar.component.scss](/src/app/components/calendar/calendar.component.scss) | SCSS | 3 | 0 | 3 | 6 |
| [src/app/components/calendar/calendar.component.spec.ts](/src/app/components/calendar/calendar.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/calendar/calendar.component.ts](/src/app/components/calendar/calendar.component.ts) | TypeScript | 184 | 0 | 21 | 205 |
| [src/app/components/colorbook/colorbook.component.html](/src/app/components/colorbook/colorbook.component.html) | HTML | 80 | 0 | 12 | 92 |
| [src/app/components/colorbook/colorbook.component.scss](/src/app/components/colorbook/colorbook.component.scss) | SCSS | 48 | 0 | 6 | 54 |
| [src/app/components/colorbook/colorbook.component.spec.ts](/src/app/components/colorbook/colorbook.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/colorbook/colorbook.component.ts](/src/app/components/colorbook/colorbook.component.ts) | TypeScript | 38 | 0 | 6 | 44 |
| [src/app/components/contact-form/contact-form.component.html](/src/app/components/contact-form/contact-form.component.html) | HTML | 51 | 0 | 7 | 58 |
| [src/app/components/contact-form/contact-form.component.scss](/src/app/components/contact-form/contact-form.component.scss) | SCSS | 190 | 4 | 29 | 223 |
| [src/app/components/contact-form/contact-form.component.spec.ts](/src/app/components/contact-form/contact-form.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/contact-form/contact-form.component.ts](/src/app/components/contact-form/contact-form.component.ts) | TypeScript | 33 | 0 | 10 | 43 |
| [src/app/components/event/event.component.html](/src/app/components/event/event.component.html) | HTML | 81 | 0 | 10 | 91 |
| [src/app/components/event/event.component.scss](/src/app/components/event/event.component.scss) | SCSS | 73 | 0 | 11 | 84 |
| [src/app/components/event/event.component.spec.ts](/src/app/components/event/event.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/event/event.component.ts](/src/app/components/event/event.component.ts) | TypeScript | 30 | 0 | 7 | 37 |
| [src/app/components/header/header.component.html](/src/app/components/header/header.component.html) | HTML | 91 | 0 | 5 | 96 |
| [src/app/components/header/header.component.scss](/src/app/components/header/header.component.scss) | SCSS | 166 | 6 | 36 | 208 |
| [src/app/components/header/header.component.spec.ts](/src/app/components/header/header.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/header/header.component.ts](/src/app/components/header/header.component.ts) | TypeScript | 22 | 0 | 6 | 28 |
| [src/app/components/home/home.component.html](/src/app/components/home/home.component.html) | HTML | 126 | 0 | 9 | 135 |
| [src/app/components/home/home.component.scss](/src/app/components/home/home.component.scss) | SCSS | 438 | 4 | 45 | 487 |
| [src/app/components/home/home.component.spec.ts](/src/app/components/home/home.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/home/home.component.ts](/src/app/components/home/home.component.ts) | TypeScript | 90 | 0 | 12 | 102 |
| [src/app/components/images/images.component.html](/src/app/components/images/images.component.html) | HTML | 258 | 0 | 23 | 281 |
| [src/app/components/images/images.component.scss](/src/app/components/images/images.component.scss) | SCSS | 303 | 12 | 43 | 358 |
| [src/app/components/images/images.component.spec.ts](/src/app/components/images/images.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/images/images.component.ts](/src/app/components/images/images.component.ts) | TypeScript | 37 | 1 | 15 | 53 |
| [src/app/components/login-icon/login-icon.component.html](/src/app/components/login-icon/login-icon.component.html) | HTML | 10 | 0 | 4 | 14 |
| [src/app/components/login-icon/login-icon.component.scss](/src/app/components/login-icon/login-icon.component.scss) | SCSS | 6 | 0 | 1 | 7 |
| [src/app/components/login-icon/login-icon.component.spec.ts](/src/app/components/login-icon/login-icon.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/login-icon/login-icon.component.ts](/src/app/components/login-icon/login-icon.component.ts) | TypeScript | 42 | 0 | 7 | 49 |
| [src/app/components/login/login.component.html](/src/app/components/login/login.component.html) | HTML | 43 | 0 | 7 | 50 |
| [src/app/components/login/login.component.scss](/src/app/components/login/login.component.scss) | SCSS | 181 | 8 | 36 | 225 |
| [src/app/components/login/login.component.spec.ts](/src/app/components/login/login.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/login/login.component.ts](/src/app/components/login/login.component.ts) | TypeScript | 82 | 20 | 14 | 116 |
| [src/app/components/profile/profile.component.html](/src/app/components/profile/profile.component.html) | HTML | 73 | 2 | 3 | 78 |
| [src/app/components/profile/profile.component.scss](/src/app/components/profile/profile.component.scss) | SCSS | 63 | 2 | 12 | 77 |
| [src/app/components/profile/profile.component.spec.ts](/src/app/components/profile/profile.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/profile/profile.component.ts](/src/app/components/profile/profile.component.ts) | TypeScript | 130 | 0 | 17 | 147 |
| [src/app/components/register/register.component.html](/src/app/components/register/register.component.html) | HTML | 100 | 0 | 14 | 114 |
| [src/app/components/register/register.component.scss](/src/app/components/register/register.component.scss) | SCSS | 181 | 8 | 36 | 225 |
| [src/app/components/register/register.component.spec.ts](/src/app/components/register/register.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/register/register.component.ts](/src/app/components/register/register.component.ts) | TypeScript | 41 | 0 | 9 | 50 |
| [src/app/components/restapi/restapi.component.html](/src/app/components/restapi/restapi.component.html) | HTML | 340 | 2 | 16 | 358 |
| [src/app/components/restapi/restapi.component.scss](/src/app/components/restapi/restapi.component.scss) | SCSS | 994 | 40 | 76 | 1,110 |
| [src/app/components/restapi/restapi.component.spec.ts](/src/app/components/restapi/restapi.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/restapi/restapi.component.ts](/src/app/components/restapi/restapi.component.ts) | TypeScript | 617 | 2 | 58 | 677 |
| [src/app/components/sign-in/sign-in.component.html](/src/app/components/sign-in/sign-in.component.html) | HTML | 29 | 0 | 5 | 34 |
| [src/app/components/sign-in/sign-in.component.scss](/src/app/components/sign-in/sign-in.component.scss) | SCSS | 572 | 8 | 103 | 683 |
| [src/app/components/sign-in/sign-in.component.spec.ts](/src/app/components/sign-in/sign-in.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/sign-in/sign-in.component.ts](/src/app/components/sign-in/sign-in.component.ts) | TypeScript | 81 | 0 | 13 | 94 |
| [src/app/components/tracker/tracker.component.html](/src/app/components/tracker/tracker.component.html) | HTML | 109 | 0 | 32 | 141 |
| [src/app/components/tracker/tracker.component.scss](/src/app/components/tracker/tracker.component.scss) | SCSS | 311 | 2 | 60 | 373 |
| [src/app/components/tracker/tracker.component.spec.ts](/src/app/components/tracker/tracker.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/tracker/tracker.component.ts](/src/app/components/tracker/tracker.component.ts) | TypeScript | 24 | 0 | 17 | 41 |
| [src/app/components/user/user.component.html](/src/app/components/user/user.component.html) | HTML | 4 | 0 | 1 | 5 |
| [src/app/components/user/user.component.scss](/src/app/components/user/user.component.scss) | SCSS | 0 | 0 | 1 | 1 |
| [src/app/components/user/user.component.spec.ts](/src/app/components/user/user.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/user/user.component.ts](/src/app/components/user/user.component.ts) | TypeScript | 24 | 0 | 4 | 28 |
| [src/app/components/weather/weather.component.html](/src/app/components/weather/weather.component.html) | HTML | 56 | 0 | 9 | 65 |
| [src/app/components/weather/weather.component.scss](/src/app/components/weather/weather.component.scss) | SCSS | 537 | 16 | 36 | 589 |
| [src/app/components/weather/weather.component.spec.ts](/src/app/components/weather/weather.component.spec.ts) | TypeScript | 18 | 0 | 6 | 24 |
| [src/app/components/weather/weather.component.ts](/src/app/components/weather/weather.component.ts) | TypeScript | 11 | 0 | 5 | 16 |
| [src/app/globals.ts](/src/app/globals.ts) | TypeScript | 9 | 0 | 2 | 11 |
| [src/app/horizontal-scroll.directive.spec.ts](/src/app/horizontal-scroll.directive.spec.ts) | TypeScript | 7 | 0 | 2 | 9 |
| [src/app/horizontal-scroll.directive.ts](/src/app/horizontal-scroll.directive.ts) | TypeScript | 11 | 0 | 5 | 16 |
| [src/app/models/activity.ts](/src/app/models/activity.ts) | TypeScript | 10 | 0 | 4 | 14 |
| [src/app/models/events.model.ts](/src/app/models/events.model.ts) | TypeScript | 23 | 0 | 0 | 23 |
| [src/app/models/mood.spec.ts](/src/app/models/mood.spec.ts) | TypeScript | 6 | 0 | 2 | 8 |
| [src/app/models/mood.ts](/src/app/models/mood.ts) | TypeScript | 9 | 0 | 4 | 13 |
| [src/app/models/user.spec.ts](/src/app/models/user.spec.ts) | TypeScript | 6 | 0 | 2 | 8 |
| [src/app/models/user.ts](/src/app/models/user.ts) | TypeScript | 4 | 0 | 1 | 5 |
| [src/app/models/weather.model.ts](/src/app/models/weather.model.ts) | TypeScript | 11 | 0 | 0 | 11 |
| [src/app/services/activity.service.spec.ts](/src/app/services/activity.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/activity.service.ts](/src/app/services/activity.service.ts) | TypeScript | 27 | 0 | 7 | 34 |
| [src/app/services/api.service.spec.ts](/src/app/services/api.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/api.service.ts](/src/app/services/api.service.ts) | TypeScript | 55 | 0 | 16 | 71 |
| [src/app/services/contact.service.spec.ts](/src/app/services/contact.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/contact.service.ts](/src/app/services/contact.service.ts) | TypeScript | 27 | 0 | 5 | 32 |
| [src/app/services/event-storage-service.service.spec.ts](/src/app/services/event-storage-service.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/event-storage-service.service.ts](/src/app/services/event-storage-service.service.ts) | TypeScript | 8 | 0 | 6 | 14 |
| [src/app/services/event.service.spec.ts](/src/app/services/event.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/event.service.ts](/src/app/services/event.service.ts) | TypeScript | 55 | 0 | 8 | 63 |
| [src/app/services/http-client.service.spec.ts](/src/app/services/http-client.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/http-client.service.ts](/src/app/services/http-client.service.ts) | TypeScript | 40 | 1 | 7 | 48 |
| [src/app/services/mood.service.spec.ts](/src/app/services/mood.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/mood.service.ts](/src/app/services/mood.service.ts) | TypeScript | 28 | 0 | 12 | 40 |
| [src/app/services/user.service.spec.ts](/src/app/services/user.service.spec.ts) | TypeScript | 12 | 0 | 5 | 17 |
| [src/app/services/user.service.ts](/src/app/services/user.service.ts) | TypeScript | 27 | 0 | 7 | 34 |
| [src/assets/js/app.js](/src/assets/js/app.js) | JavaScript | 664 | 11 | 114 | 789 |
| [src/assets/js/jl-coloringBook.js](/src/assets/js/jl-coloringBook.js) | JavaScript | 492 | 18 | 69 | 579 |
| [src/assets/js/tracker.js](/src/assets/js/tracker.js) | JavaScript | 208 | 2 | 55 | 265 |
| [src/environments/environment.prod.ts](/src/environments/environment.prod.ts) | TypeScript | 4 | 0 | 1 | 5 |
| [src/environments/environment.ts](/src/environments/environment.ts) | TypeScript | 5 | 11 | 3 | 19 |
| [src/index.html](/src/index.html) | HTML | 15 | 0 | 8 | 23 |
| [src/main.ts](/src/main.ts) | TypeScript | 9 | 0 | 4 | 13 |
| [src/polyfills.ts](/src/polyfills.ts) | TypeScript | 1 | 47 | 6 | 54 |
| [src/styles.scss](/src/styles.scss) | SCSS | 23 | 1 | 5 | 29 |
| [src/test.ts](/src/test.ts) | TypeScript | 18 | 4 | 5 | 27 |
| [tsconfig.app.json](/tsconfig.app.json) | JSON | 14 | 1 | 1 | 16 |
| [tsconfig.json](/tsconfig.json) | JSON with Comments | 29 | 1 | 2 | 32 |
| [tsconfig.spec.json](/tsconfig.spec.json) | JSON | 17 | 1 | 1 | 19 |
| [webpack.config.js](/webpack.config.js) | JavaScript | 0 | 15 | 0 | 15 |

[Summary](results.md) / Details / [Diff Summary](diff.md) / [Diff Details](diff-details.md)